> For the complete documentation index, see [llms.txt](https://docs.chainargos.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chainargos.com/documentation/research/empirical-research/blacklist/specific-dates-and-interesting-wallets/tether_2024_02_07.md).

# 2024-02-07 Tether

Related to [this Tweet](https://twitter.com/ChainArgos/status/1755463810033533304). You can find wallets blacklisted on this date [with this dashboard](https://dashargos.chainargos.com/dashboards/84?Blacklisted+At+Date=2024%2F02%2F07). The flows in to those wallets make the blacklistings confusing.

There is a related example in the [API documentation](https://docs.chainargos.com/documentation/v/api/looker_api/look_query_multi).

Here is a code snippet sufficient to extract all the inflows to these wallets via the DashArgos API:

```python
sdk = looker_sdk.init40(...)
look = sdk.look(look_id=729) # this is the inflows look, you can set up your own too

# these are the addresses and tokens we care about here
query_filter = {
    "tron_txns.to_address": "TKo62ywGRK7vYXcpBavvmUmwKWgrPtw2Mx,TFWry4G122VJdZNn9uX3HFZ64FeZR4WB13,TRUzWMZnRseD3cZSKLGHvQ8yaiEyQtR2n5,TGm1Kz7W5mWrKp6ibJQvGdG7pXwMg1K1k1,TPXPXxf2rkXTBg1cJw4JfajmHNV8cPJ8B4",
    "tokens.symbol": "USDT",
}

# construct a new query based on the first one
new_query = sdk.create_query(body=looker_sdk.models40.WriteQuery(model=look.query.model, view=look.query.view, fields=look.query.fields, filters=look.query_filter))

# run it and load to a pandas dataframe
df = pd.read_csv(StringIO(sdk.run_query(query_id=new_query.id, result_format='csv')))

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainargos.com/documentation/research/empirical-research/blacklist/specific-dates-and-interesting-wallets/tether_2024_02_07.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
